diff --git a/third_party/rust/ucd-util/src/unicode_tables/mod.rs b/third_party/rust/ucd-util/src/unicode_tables/mod.rs
new file mode 100644
index 000000000000..558177da924a
--- /dev/null
+++ b/third_party/rust/ucd-util/src/unicode_tables/mod.rs
@@ -0,0 +1,5 @@
+pub mod jamo_short_name;
+#[cfg(test)]
+pub mod property_names;
+#[cfg(test)]
+pub mod property_values;
diff --git a/third_party/rust/utf8-ranges/ci/script.sh b/third_party/rust/utf8-ranges/ci/script.sh
new file mode 100755
index 000000000000..25a337b92ddd
--- /dev/null
+++ b/third_party/rust/utf8-ranges/ci/script.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -ex
+
+cargo build --verbose
+cargo doc --verbose
+
+# If we're testing on an older version of Rust, then only check that we
+# can build the crate. This is because the dev dependencies might be updated
+# more frequently, and therefore might require a newer version of Rust.
+#
+# This isn't ideal. It's a compromise.
+if [ "$TRAVIS_RUST_VERSION" = "1.12.0" ]; then
+  exit
+fi
+
+cargo test --verbose
-- 
2.17.1

